@charset "utf-8";


/* ========================================================
//  MARK: Theme additional settings
// ======================================================== */

/* Basics
--------------------------------------------------------- */
/**
 * [Media Queries]
 * to Tablet: min-width 576px
 * to PC: min-width 992px
 */
:root {
  /* Layout */
  --rootPadding-LR: clamp(16px, 4vw, 80px);
  --basicPadding-vertical: calc(50px + clamp(10px, 3vw, 30px));
  --rootPadding-constant: 16px;
  --siteHeader-height: 5rem;
  /* Font */
  --font-headings: 'DelaGothicOne-Regular-horiz', sans-serif;
  /* Color */
  --color--base: var(--wp--preset--color--base, #ffffff);
  --color--contrast: var(--wp--preset--color--contrast, #222222);
  --color--pink: var(--wp--preset--color--pink, #ff45ab);
  --color--light-green: var(--wp--preset--color--light-green, #04e35c);
  --color--light-blue: var(--wp--preset--color--light-blue, #00c6c6);
  --color--blue: var(--wp--preset--color--blue, #0993e3);
  --color--yellow: var(--wp--preset--color--yellow, #fff186);
  --color--orange: var(--wp--preset--color--orange, #ffbc2e);
}
@media (min-width: 992px) {
  :root {
    --siteHeader-height: 7rem;
  }
}

summary:focus-visible {
  /* filter: brightness(1.5); */
  filter: hue-rotate(335deg);
  /*フォーカスリング見えねぇから苦肉の策DA★*/
}


/* ========================================================
//  MARK: WordPress addtional settings
// ======================================================== */

/**
 * This time,
 * the layout is particularly experimental,
 * because WordPress is very difficult!!!
**/

/* Layouts
--------------------------------------------------------- */
.wp-site-blocks {
  display: flex;
  flex-direction: column;
  width: 100%;
  height: 100%;
  position: unset;
}
:where(
    .wp-site-blocks header,
    .wp-site-blocks footer
  ) {
  position: unset;
}
.wp-site-blocks main {
  flex: 1;
  position: relative;
  padding-top: var(--siteHeader-height);
}
#main-inner {
  height: 100%;
}
#main-inner section {
  scroll-margin-top: var(--siteHeader-height);
}
#main-inner > .entry-content {
  /**
   * WordPress is difficult,
   * so Root padding is set separately...
  **/
  padding-left: 0 !important;
  padding-right: 0 !important;
}
#main-inner > .entry-content > *:not(.alignfull) {
  max-width: none !important;
  width: 100%;
}
.has-global-padding > .alignfull {
  margin-left: 0 !important;
  margin-right: 0 !important;
}

/**
  * Usually,
  * (Root) Padding are settled
  * in WordPress (theme.json).
  * But...
  * To Set root padding,
  * add the ".has-rootPadding" CSS class
  * to the appropriate location!
**/

.has-rootPadding {
  padding-right: var(--rootPadding-LR);
  padding-left: var(--rootPadding-LR);
}

.basicPadding-vertical {
  padding-top: var(--basicPadding-vertical);
  padding-bottom: var(--basicPadding-vertical);
}

/* Paragraphs
--------------------------------------------------------- */
.is-style-no-listmark {
  list-style: none;
  padding-left: 0;
}
:is(h1, h2, h3, h4, h5, h6).is-style-ttl-writeVert-rl {
  -webkit-writing-mode: vertical-rl;
  writing-mode: vertical-rl;
}
.is-style-parag-writeVert-rl {
  -webkit-writing-mode: vertical-rl;
  writing-mode: vertical-rl;
}
:is(h1, h2, h3, h4, h5, h6).is-style-ttl-writeVert-lr {
  -webkit-writing-mode: vertical-lr;
  writing-mode: vertical-lr;
}
.is-style-parag-writeVert-lr {
  -webkit-writing-mode: vertical-lr;
  writing-mode: vertical-lr;
}

/* Editer Stylings
--------------------------------------------------------- */
.editor-styles-wrapper * {
  opacity: 1 !important;
}


/* ========================================================
//  MARK: Theme usual elements
// ======================================================== */

/* Layouts
--------------------------------------------------------- */
/* Visibilities */
@media (min-width: 992px) {
  .pc-none {
    display: none;
  }
}

/* Usual texts
--------------------------------------------------------- */
/* Section main Title */
.title-sectionMain-1 {
  font-family: var(--font-headings);
  font-size: 2.5rem;
  text-align: center;
  color: var(--color--light-green);
}
.title-sectionMain-2 > * {
  font-weight: 700;
  text-align: center;
}
.title-sectionMain-2 {
  padding: 10px 0 20px;
  margin-bottom: 2.5em;
  position: relative;
}
.title-sectionMain-2::after {
  content: '';
  display: block;
  width: 46px;
  height: 6px;
  border-radius: 9999px;
  position: absolute;
  bottom: 0;
  left: 50%;
  translate: -50% 0;
}
.title-sectionMain-2 .heading-main {
  width: 100%;
  max-width: 12rem;
  font-size: var(--wp--preset--font-size--small);
  border-radius: 9999px;
  padding: 5px;
  margin: 0 auto;
}
.title-sectionMain-2 .heading-sub {
  font-size: var(--wp--preset--font-size--x-large);
}
@media (min-width: 576px) {
  .title-sectionMain-1 {
    font-size: var(--wp--preset--font-size--xxx-large);
  }
}

/* Usual link button
--------------------------------------------------------- */
.usual-linkButton {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  width: 100%;
  max-width: 500px;
  border-radius: 9999px;
  --shadow-height: 0.4em;
  transition:
    translate .3s,
    filter .4s;
  font-size: var(--wp--preset--font-size--xx-medium);
  font-weight: 600;
  color: var(--color--base, #fff) !important;
  text-align: center;
  padding: .75em .5em;
  margin-left: auto;
  margin-right: auto;
}
.usual-linkButton.button-green {
  background-color: var(--color--light-blue);
  filter: drop-shadow(0 var(--shadow-height) 0 #029cbb) !important;
}
.usual-linkButton.button-orange {
  background-color: #f78827;
  filter: drop-shadow(0 var(--shadow-height) 0 #ce7425) !important;
}
@media (any-hover: hover) {
  .usual-linkButton:hover {
    translate: 0 var(--shadow-height);
  }
  .usual-linkButton.button-green:hover {
    filter: drop-shadow(0 0 0 #029cbb) !important;
  }
  .usual-linkButton.button-orange:hover {
    filter: drop-shadow(0 0 0 #ce7425) !important;
  }
}

/* Usual CTA
--------------------------------------------------------- */
.usual-cta {
  margin: clamp(30px, 10vw, 85px) auto !important;
}
.usual-cta .inner > .deco img {
  width: 10rem;
  height: auto;
}
.usual-cta .inner {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 10px;
  width: 100%;
  background-color: var(--wp--preset--color--base, #fff);
  border-radius: 25px;
  padding: clamp(20px, 5vw, 40px) 15px;
}
.usual-cta .inner > * {
  font-weight: 700;
  text-align: center;
}
.usual-cta .heading {
  font-size: var(--wp--preset--font-size--medium);
}
.usual-cta .link-num {
  display: flex;
  align-items: flex-end;
  gap: .125em;
  width: fit-content;
  font-size: var(--wp--preset--font-size--xx-large);
  color: var(--color--blue);
  font-weight: 900;
  line-height: 1;
}
.usual-cta .link-num::before {
  content: '';
  display: block;
  background: url('../images/icon-phone.svg') no-repeat left top / contain;
  height: .875em;
  width: calc(0.875em * 0.593); /* Icon size... */
}
.usual-cta .link-num > span {
  background: linear-gradient(transparent 70%, #ffed68 70%);
}
.usual-cta small {
  font-size: .875rem;
}
@media (min-width: 576px) {
  .usual-cta .heading {
    font-size: var(--wp--preset--font-size--x-medium);
  }
  .usual-cta .link-num {
    font-size: var(--wp--preset--font-size--xxx-large);
  }
  .usual-cta small {
    font-size: var(--wp--preset--font-size--medium);
  }
}
@media (min-width: 768px) {
  .usual-cta {
    --cta-padding-LR: 30px;
    padding-top: var(--cta-padding-LR);
    padding-left: var(--cta-padding-LR);
    position: relative;
  }
  .usual-cta .inner > .deco {
    display: block;
    position: absolute;
    top: calc(var(--cta-padding-LR) * -1);
    left: calc(var(--cta-padding-LR) * -1);
  }
  .usual-cta .inner > .deco img {
    width: 11rem;
  }
}
@media (min-width: 992px) {
  .usual-cta {
    --cta-padding-LR: 50px;
  }
  .usual-cta .inner > .deco img {
    width: 13rem;
  }
}


/* Other links setting
--------------------------------------------------------- */
a[target="_blank"]::after {
  content: '';
  display: inline-block;
  width: .85em;
  height: .85em;
  -webkit-mask: url('../images/icon-open_new.svg');
  mask: url('../images/icon-open_new.svg');
  -webkit-mask-size: contain;
  mask-size: contain;
  background-color: currentColor;
  margin-left: 5px;
}


/* ========================================================
//  MARK: Page loading screen
// ======================================================== */

/* Defaults
--------------------------------------------------------- */
#loadingScreen-blur {
  background: #e3e3e3;
  backdrop-filter: blur(10px);
  position: fixed;
  inset: 0;
  display: grid;
  place-items: center;
  z-index: 9999999;
  opacity: 1;
  visibility: visible;
  transition:
    opacity .6s ease,
    backdrop-filter .6s ease,
    visibility 0s linear .6s
  ;
}
.loading-spinner {
  display: block;
  width: 3rem;
  height: 3rem;
  border: 2px solid transparent;
  border-top-color: #fff;
  border-bottom-color: #fff;
  border-radius: 50%;
  animation: loadSpin 1s ease infinite;
  opacity: 1;
  transition: opacity .6s ease;
}
@keyframes loadSpin {
  0%   { transform: rotate(0turn); }
  100% { transform: rotate(1turn); }
}

/* When site contents loaded
--------------------------------------------------------- */
#loadingScreen-blur.siteLoaded {
  opacity: 0;
  visibility: hidden; /* Disable click & focus */
  pointer-events: none;
  backdrop-filter: blur(0px);
}
#loadingScreen-blur.siteLoaded .loading-spinner {
  opacity: 0;
}

/* When JavaScript is disabled
--------------------------------------------------------- */
.disabled-js #loadingScreen-blur {
  display: none;
  visibility: hidden;
  opacity: 0;
  pointer-events: none;
}

/* Breadcrumb
--------------------------------------------------------- */
.breadcrumb > ol {
  font-size: var(--wp--preset--font-size--x-small);
  color: #4B4B4B;
  list-style: none;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
}
.breadcrumb > ol > li:not(:last-of-type) {
  position: relative;
  padding-right: 1.25rem;
}
.breadcrumb > ol > li:first-of-type a {
  padding-left: 1.15rem;
  position: relative;
}
.breadcrumb > ol > li:first-of-type a::before {
  content: '';
  display: block;
  width: 1rem;
  height: 1rem;
  background: url('/assets/images/icon-home.svg') no-repeat left center / contain;
  position: absolute;
  top: 50%;
  left: 0;
  transform: translateY(-50%);
  margin-top: .075rem;
}
.breadcrumb > ol > li:not(:last-of-type)::after {
  content: '';
  color: #4B4B4B;
  border-top: solid 2px;
	border-right: solid 2px;
  transform: translateY(-50%) rotate(45deg);
  width: .4rem;
  height: .4rem;
  position: absolute;
  top: 50%;
  right: .5rem;
  margin-top: .05rem;
}
.breadcrumb > ol > li:not(:last-of-type) a > span {
  text-decoration: underline;
}
.breadcrumb > ol > li:not(:last-of-type):hover a > span {
  text-decoration: none;
}
.breadcrumb > ol > li:last-of-type {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  max-width: 15rem;
}
.breadcrumb > ol > li br {
  display: none !important; /* Avoid BR */
}

/* Slick slider
--------------------------------------------------------- */
:root {
  --slickItemPadding-10: 10px;
  --slickArrowArea-width: 2rem;
  --slickArrowArea-height: 2.25rem;
  --slickArrowsDistance: 10px;
}
@media (min-width: 36rem) {
  :root {
    --slickArrowsDistance: 2vw;
  }
}
.slideArea.arrowSimpleRed {
  padding: 0 calc(var(--slickArrowArea-width) + var(--slickItemPadding-10)) ;
}
.slick-slider {
  opacity: 0;
  transition: opacity .3s linear;
}
.slick-slider.slick-initialized {
  opacity: 1;
}
.slick-list {
  max-width: none !important;
}
.slick-track {
  display: flex !important;
}
.slick-track::before,
.slick-track::after {
  content: none !important;
  display: none !important;
}
.slick-slide {
  margin-bottom: 0 !important;
  float: none !important;
  height: auto !important;
}
.slickUsual-manually .slick-slide {
  padding: 0 var(--slickItemPadding-10);
}
.slick-slide > * {
  height: 100% !important;
}
.slick-slide img {
  object-fit: cover;
  width: 100% !important;
  height: 100% !important; /* 一応 */
}
.slick-dots {
  bottom: auto !important;
}
.withDotsRed .slick-dots {
  padding-top: 1em;
}
.withDotsRed .slick-dots li {
  margin: 0 0.25vw;
}
.withDotsRed .slick-dots li button {
  padding: 0;
}
.withDotsRed .slick-dots li button::before {
  line-height: 0;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: .75rem;
  height: .75rem;
  content: '';
  border-radius: 50%;
  background-color: #ccc;
  opacity: 1;
}
.withDotsRed .slick-dots li.slick-active button::before {
  background-color: var(--wp--preset--color--red);
}
.arrowSimpleRed .slick-arrow {
  width: var(--slickArrowArea-width) !important;
  height: var(--slickArrowArea-height) !important;
  z-index: 1;
}
.arrowSimpleRed .slick-prev.slick-arrow {
  left: calc(calc(var(--slickItemPadding-10) * -1) - var(--slickArrowsDistance));
}
.arrowSimpleRed .slick-next.slick-arrow {
  right: calc(calc(var(--slickItemPadding-10) * -1) - var(--slickArrowsDistance));
}
.arrowSimpleRed .slick-arrow:before {
  content: '' !important;
  display: block;
  width: 1.5rem;
  height: 1.5rem;
  border-top: 2px solid var(--wp--preset--color--red);
  position: absolute;
  top: 50%;
}
.arrowSimpleRed .slick-prev.slick-arrow:before {
  border-left: 2px solid var(--wp--preset--color--red);
  transform: translateY(-50%) rotate(-45deg);
  left: 0;
}
.arrowSimpleRed .slick-next.slick-arrow:before {
  border-right: 2px solid var(--wp--preset--color--red);
  transform: translateY(-50%) rotate(45deg);
  right: 0;
}
/* Animation of Items on the Slide image */
@keyframes fadeUpOtherAnime {
  0% {
    opacity: 0;
    transform: translateY(200%);
  }
  100% {
    opacity: 1;
    transform: translateY(0);
  }
}
.withOtherAnime .sliderItems:first-child .otnerAnimeItem.anime-fadeUp {
  opacity: 0;
  animation: fadeUpOtherAnime .5s ease .5s 1 normal none running;
}
.withOtherAnime .sliderItems .otnerAnimeItem.anime-fadeUp {
  opacity: 0;
  transition: opacity .5s ease, visibility .5s ease;
}
.withOtherAnime .sliderItems.slick-current .otnerAnimeItem.anime-fadeUp {
  opacity: 1;
  animation: fadeUpOtherAnime .5s ease 1s 1 normal both;
}


/* ========================================================
//  MARK: Theme customed Header
// ======================================================== */

/* Basics
--------------------------------------------------------- */
header:has(*#siteHeader) {
  position: fixed;
  top: 0;
  width: 100%;
  height: var(--siteHeader-height);
  z-index: 1000;
}
#siteHeader {
  display: grid;
  width: 100%;
  height: 100%;
}

/* Display at any time
--------------------------------------------------------- */
#siteHeader .hdr-general {
  display: flex;
  align-items: center;
  justify-content: space-between;
  height: 100%;
  background-color: var(--color--base);
  padding: 10px;
  position: relative;
}
@media (max-width: 991.98px) {
  html.scrolled #siteHeader .hdr-general {
    justify-content: flex-end;
    background-color: transparent;
  }
  html.scrolled #siteHeader .hdrLogoGroup {
    display: none;
  }
  html.scrolled #siteHeader #hdrNavSwitch {
    background-color: #eee;
  }
}
@media (min-width: 992px) {
  #siteHeader .hdrIconGroup {
    display: none;
  }
}
@media (min-width: 1500px) {
  #siteHeader .hdr-general {
    padding-left: 3vw;
    padding-right: 3vw;
  }
}

/* Site Logo Group
--------------------------------------------------------- */
#siteHeader .hdrLogoGroup {
  display: block;
  width: fit-content;
}
#siteHeader .siteLogoGroup {
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  align-items: flex-start;
}
#siteHeader .siteLogoGroup img {
  width: auto;
  height: 1.75rem;
}
#siteHeader .siteLogoGroup img:nth-child(2) {
  margin-left: 1em;
}
@media (min-width: 576px) {
  #siteHeader .siteLogoGroup {
    flex-direction: row;
  }
  #siteHeader .siteLogoGroup img:nth-child(2) {
    margin-left: 0;
  }
}
@media (min-width: 768px) {
  #siteHeader .siteLogoGroup img {
    height: 2.75rem;
  }
}
@media (min-width: 1200px) {
  #siteHeader .siteLogoGroup {
    flex-wrap: nowrap;
  }
}

/* Switch style
--------------------------------------------------------- */
#hdrNavSwitch .navSwitch-label .hamburger .line {
  background-color: var(--color--pink);
}
#hdrNavSwitch .navSwitch-label .txtWrap {
  color: var(--color--pink);
}
@media (min-width: 992px) {
  #hdrNavSwitch {
    display: none;
    opacity: 0;
    visibility: hidden;
  }
}

/* Mainly modal areas
--------------------------------------------------------- */
#siteHeader .hdr-others {
  width: fit-content;
  height: 100%;
  min-height: 100vh;
  padding: 5rem 20px 20px;
  opacity: 0;
  visibility: hidden;
  transform: translateX(-100%);
  transition: all .3s ease-in-out;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 10;
  overscroll-behavior: contain
}
:is(html:has(#nav-opened:target), html.is-drawerOpen) #siteHeader .hdr-others {
  background-color: var(--wp--preset--color--base, #fff);
  /* box-shadow: 0 0 4px 0 #a4a4a4; */
}
@media (min-width: 992px) {
  #siteHeader .hdr-others {
    display: grid;
    min-height: auto;
    transform: none;
    padding: 0;
    opacity: 1;
    visibility: visible;
    position: relative;
  }
}

/* Global navigation styles (Header)
--------------------------------------------------------- */
#siteHeader .hdr-others .global-nav {
  display: flex;
  flex-direction: column;
  row-gap: .5em;
}
#siteHeader .hdr-others .global-nav li > a {
  padding: .25em 0;
  position: relative;
}
@media (min-width: 992px) {
  #siteHeader .hdr-others .global-nav {
    flex-direction: row;
    flex-wrap: wrap;
    /* To avoid creating an extra line... */
    align-content: center;
    justify-content: flex-end;
    column-gap: clamp(10px, 2.5vw, 55px);
    height: 100%;
  }
  #siteHeader .hdr-others .global-nav li > a {
    white-space: nowrap;
  }
}
@media (any-hover: hover) {
  #siteHeader .hdr-others .global-nav li > a::after {
    content: '';
    display: block;
    width: 0;
    height: 2px;
    background-color: var(--color--pink);
    position: absolute;
    bottom: 0;
    left: 50%;
    translate: -50% 0;
    transition: width .3s;
  }
  #siteHeader .hdr-others .global-nav li:hover > a {
    color: var(--color--pink);
  }
  #siteHeader .hdr-others .global-nav li:hover > a::after {
    width: 2em;
  }
}

/* Other related elements style (Basic)
--------------------------------------------------------- */
#nav-overlay {
  background-color: #ff45ab4a;
}



/* ========================================================
//  MARK: Theme customed Footer
// ======================================================== */

/* Footer contents
--------------------------------------------------------- */
.ftrConts .conts {
  width: 100%;
  /* max-width: var(--_global--container-max-width, 1280px); */
  padding: 0 clamp(15px, 5vw, 30px);
  margin: 0 auto;
  font-size: .875rem;
}
.ftrConts .conts .top {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  row-gap: 2em;
}
.ftrLogoGroup {
  display: block;
  width: fit-content;
}
.ftrLogoGroup .siteLogoGroup {
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  align-items: flex-start;
}
.ftrLogoGroup .siteLogoGroup img {
  width: auto;
  height: 1.75rem;
}
.ftrConts .conts .top .heading {
  margin-top: 1.5em;
  margin-bottom: .5em;
}
.ftrConts address {
  font-style: normal;
}
.ftrConts .conts .links {
  display: flex;
  flex-wrap: wrap;
  align-content: center;
  justify-content: center;
  gap: .5em 2vw;
}
.ftrConts .conts .links li {
  flex-shrink: 0;
}
.ftrConts .conts .links li a {
  text-decoration: underline;
  text-underline-offset: .25em;
}
@media (any-hover: hover) {
  .ftrConts .conts .links li a:hover {
    text-decoration: none;
    color: var(--color--pink);
  }
}
.ftrConts .gMap iframe {
  vertical-align: bottom;
  min-height: 400px;
}
.ftrConts .sub {
  padding: 25px var(--wp--style--root--padding-right);
}
.ftrConts .sub small {
  display: block;
  font-size: .875rem;
  text-align: center;
  line-height: 1.4;
}
@media (min-width: 576px) {
  .ftrLogoGroup .siteLogoGroup {
    flex-direction: row;
  }
}
@media (min-width: 768px) {
  .ftrLogoGroup .siteLogoGroup img {
    height: 2.75rem;
  }
}
@media (min-width: 992px) {
  .ftrConts .conts .top {
    justify-content: space-between;
  }
  .ftrConts .conts .bottom .links {
    justify-content: flex-end;
  }
}

/* siteFt cta (Appear after site scrolled)
--------------------------------------------------------- */
.siteFt-cta {
  width: 100%;
  position: fixed;
  bottom: 0;
  background-color: #fffffff2;
  box-shadow: 0px -5px 5px -5px rgba(0, 0, 0, 0.2);
  z-index: 5;
  opacity: 0;
  visibility: hidden;
  transition:
    opacity .5s,
    visibility .5s;
  pointer-events: none;
}
:is(html:has(#nav-opened:target), html.is-drawerOpen) .siteFt-cta {
  visibility: hidden; /* For focus trap styling */
  filter: blur(5px);
}
html.scrolled .siteFt-cta {
  opacity: 1;
  visibility: visible;
  pointer-events: all;
}
.siteFt-cta > .inner {
  display: flex;
  flex-direction: column;
  row-gap: 10px;
  padding: 20px 3vw;
  width: 100%;
  /* max-width: var(--_global--container-max-width, 1280px); */
  max-width: 1400px;
  margin: 0 auto;
}
.siteFt-cta .heading {
  display: none;
  font-size: .875rem;
  font-weight: 700;
  padding: .75em 1em;
  position: relative;
}
.siteFt-cta .heading::before,
.siteFt-cta .heading::after {
  content: '';
  position: absolute;
  top: 0;
  bottom: 0;
  width: 1em;
  border: 0.25em solid var(--color--yellow);
}
.siteFt-cta .heading::before {
  left: 0;
  border-right: none;
}
.siteFt-cta .heading::after {
  right: 0;
  border-left: none;
}
.siteFt-cta .conts {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 1.5vw;
}
.siteFt-cta .conts .usual-linkButton {
  --shadow-height: 5px;
  flex-wrap: nowrap;
  gap: 0;
  height: auto;
  min-height: 3.25rem;
  font-size: .75rem;
  line-height: 1.2;
  padding: .5em 5px;
}
.siteFt-cta .conts .usual-linkButton.button-orange {
  flex-direction: column;
  row-gap: .15em;
  font-size: 1rem;
}
.siteFt-cta .conts .usual-linkButton .main {
  letter-spacing: .125em;
}
.siteFt-cta .conts .usual-linkButton .main::before {
  content: '';
  display: inline-block;
  height: .875em;
  width: calc(0.875em * 0.593);
  -webkit-mask-image: url('../images/icon-phone.svg');
  mask-image: url('../images/icon-phone.svg');
  -webkit-mask-size: contain;
  mask-size: contain;
  -webkit-mask-repeat: no-repeat;
  mask-repeat: no-repeat;
  background-color: currentColor;
  margin-right: .125em;
}
.siteFt-cta .conts .usual-linkButton .sub {
  font-size: 50%;
}
@media (min-width: 768px) {
  .siteFt-cta .heading {
    display: block;
  }
  .siteFt-cta > .inner {
    flex-direction: row;
    align-items: center;
    justify-content: center;
    column-gap: 2vw;
  }
  .siteFt-cta .conts .usual-linkButton {
    min-width: 11rem;
  }
}
@media (min-width: 992px) {
  .siteFt-cta .conts .usual-linkButton {
    min-width: 10rem;
    height: 100%;
    font-size: .875rem;
    padding: .5em 2vw;
  }
  .siteFt-cta .conts .usual-linkButton.button-orange {
    font-size: 1.25rem;
  }
}


/* ========================================================
//  MARK: Form styles (Snow Monkey Forms Additionals)
// ======================================================== */

/* Layouts
--------------------------------------------------------- */
#cta-form .smf-item__col--label {
  display: flex;
  align-items: center;
  justify-content: space-between;
  background-color: #eeeeee;
  padding: .5em 10px;
}
#cta-form .smf-item__controls {
  padding: 10px;
}
@media (min-width: 640px) {
  /**
   * This media query conforms to
   * the Snow Monkey Forms settings.
  **/
  #cta-form .smf-item__col--label {
    justify-content: flex-start;
    gap: 1rem;
    background-color: transparent;
    flex: 0 0 20rem;
    max-width: 20rem;
  }

}

/* Usual inputs (type="text", textarea, etc.)
--------------------------------------------------------- */
#cta-form .snow-monkey-form input:not([type="checkbox"], [type="radio"]),
#cta-form .snow-monkey-form textarea {
  width: 100%;
  border-radius: 8px;
}
#cta-form .snow-monkey-form textarea {
  min-height: 7rem;
}
/*** When invalid... ***/
#cta-form .smf-item:has(.smf-error-messages) input:not([type="checkbox"], [type="radio"]),
#cta-form .smf-item:has(.smf-error-messages) textarea {
  background-color: #cc303345;
  border-width: 2px;
}
#cta-form .smf-item:has(.smf-error-messages) *:focus-visible {
  border-width: 3px;
}

/* Checkbox, Radio (Group)
--------------------------------------------------------- */
#cta-form .smf-item *[role="group"],
#cta-form .smf-item *[role="radiogroup"] {
  padding: 7px;
}
/*** When invalid... ***/
#cta-form .smf-item:has(.smf-error-messages) *[role="group"],
#cta-form .smf-item:has(.smf-error-messages) *[role="radiogroup"] {
  background-color: #cc303345;
  border-width: 2px;
  border-radius: 10px;
}

/* Select
--------------------------------------------------------- */
#cta-form select {
  border-radius: 8px;
}

/* Other Elements
--------------------------------------------------------- */
#cta-form .smf-item__label__text {
  font-size: var(--wp--preset--font-size--medium);
  font-weight: 500;
}
#cta-form .must .smf-item__description,
#cta-form .optional .smf-item__description {
  display: grid;
  place-items: center;
  width: 3rem;
  min-height: 1.25em;
  font-size: .75rem;
  font-weight: 500;
  color: var(--color--base);
  line-height: 1.25;
  border-radius: 9999px;
  margin-top: 0 !important;
  flex-shrink: 0;
  padding: .25em 0;
}
#cta-form .must .smf-item__description {
  background-color: #EC3827;
}
#cta-form .optional .smf-item__description {
  background-color: #8d8d8d;
}
#cta-form .smf-item__controls .notes {
  font-size: var(--wp--preset--font-size--x-small);
  font-weight: 500;
  color: #f88751;
}
#cta-form .smf-error-messages {
  display: flex;
  flex-wrap: nowrap;
  gap: .15em;
}
#cta-form .smf-error-messages::before {
  content: '';
  display: block;
  background: url('../images/icon-caution.svg') no-repeat center / contain;
  width: 1.125em;
  height: auto;
}
#cta-form .smf-sending {
  right: -2em;
}
#cta-form .smf-sending::before {
  border-width: 3px;
  border-color: #0000009e;
  border-top-color: #0000;
  height: 1.5em;
  width: 1.5em;
}
button[type="submit"]:not([data-action="back"]) {
  display: flex !important;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  width: 100%;
  max-width: 500px;
  background-image: none !important;
  border: none !important;
  border-radius: 9999px !important;
  --shadow-height: 0.4em;
  transition: translate .3s, filter .4s !important;
  font-size: var(--wp--preset--font-size--xx-medium);
  font-weight: 600;
  color: var(--color--base, #fff) !important;
  text-align: center;
  padding: .75em .5em !important;
  margin-left: auto;
  margin-right: auto;
}
button[type="submit"][data-action="confirm"] {
  background-color: #ffbc2e;
  filter: drop-shadow(0 var(--shadow-height) 0 #cc7e39) !important;
}
button[type="submit"][data-action="back"] {
  background: none !important;
  border: none !important;
  text-decoration: underline !important;
  text-underline-offset: .25em;
}
button[type="submit"][data-action="complete"] {
  background-color: #ff7627;
  filter: drop-shadow(0 var(--shadow-height) 0 #ce7a25) !important;
}
@media (any-hover: hover) {
  button[type="submit"]:hover {
    translate: 0 var(--shadow-height);
    text-decoration: none;
  }
  button[type="submit"][data-action="confirm"]:hover {
    filter: drop-shadow(0 0 0 #cc9639) !important;
  }
  button[type="submit"][data-action="complete"]:hover {
    filter: drop-shadow(0 0 0 #ce7a25) !important;
  }
}


/* ========================================================
//  MARK: Others
// ======================================================== */

/* Back to Top
--------------------------------------------------------- */
#backToTop {
  display: grid;
  place-items: center;
  background-color: transparent;
  border: 2px solid var(--color--contrast);
  border-radius: 50%;
}
#backToTop > .inner {
  width: 100%;
  height: 100%;
  background-color: var(--color--contrast);
  border-radius: 50%;
  clip-path: polygon(29% 54%, 50% 33%, 71% 54%, 67% 58%, 50% 41%, 33% 58%);
}
@media (any-hover: hover) {
  #backToTop:hover > .inner {
    opacity: .7;
  }
}

/* Animation related
--------------------------------------------------------- */
.with-obsAnime {
  position: relative;
}
.obsAnimeElem {
  transition: all 0.8s cubic-bezier(0.25, 0.46, 0.45, 0.94);
}


/* ========================================================
//  MARK: Utilities
// ======================================================== */

/* Block layouts
--------------------------------------------------------- */
.maxWidth-1280px {
  max-width: 1280px !important;
  margin-left: auto !important;
  margin-right: auto !important;
}
.radius-child {
  border-radius: calc(var(--outer-radius) - var(--outer-padding));
}
.disabled-js *:has(> noscript) {
  background-color: #ddd;
}
noscript {
  display: block;
  padding-top: 1em;
  padding-bottom: 1em;
}

/* Decorations
--------------------------------------------------------- */
.boxShadow-bk {
  box-shadow: 0 0 10px 5px #00000020;
}
.transparent-bg-wh {
  background-color: rgba(255, 255, 255, 0.6);
  background-blend-mode: lighten;
}

/* Text layouts
--------------------------------------------------------- */
.line-breaks-auto > * {
  display: inline-block;
}

/* Text decorations
--------------------------------------------------------- */
.text-bordering-white {
  -webkit-text-stroke: 0.075em #fff;
  paint-order: stroke fill;
}
.text-shadow-green {
  filter: drop-shadow(0.15em 0.15em 0px #00bebe);
}
.mark-asterisk {
  display: block;
  padding-left: 1em;
  text-indent: -1em;
}
.mark-asterisk::before {
  content: '※';
}
noscript .caution {
  font-size: var(--wp--preset--font-size--xx-medium);
  font-weight: 600;
  color: #e60e12;
  text-align: center;
}
noscript .caution .txtUnderLine {
  font-size: var(--wp--preset--font-size--xxx-medium);
  text-decoration: underline;
  text-decoration-style: wavy;
  text-decoration-thickness: 2px;
  text-underline-offset: .25em;
}